{% set body_classes = [
  dexes_theme_select,
  logged_in ? 'user-logged-in',
  not root_path ? 'path-frontpage' : 'path-' ~ root_path|clean_class,
  node_type ? 'page-node-type-' ~ node_type|clean_class,
  db_offline ? 'db-offline',
  theme.settings.navbar_position ? 'navbar-is-' ~ theme.settings.navbar_position,
  theme.has_glyphicons ? 'has-glyphicons',
] %}

<!DOCTYPE HTML>
<html{{ html_attributes }}>
<head>
  <head-placeholder token="{{ placeholder_token }}">
  <title>{{ head_title|safe_join(' | ') }}</title>
  <meta name="viewport" content="width=device-width, initial-scale=1 user-scalable=no">
  <css-placeholder token="{{ placeholder_token }}">
  <js-placeholder token="{{ placeholder_token }}">
</head>
<body {{ attributes.addClass(body_classes) }}>
<a href="#main-content" class="visually-hidden focusable skip-link">
  {{ 'Skip to main content'|t }}
</a>
{{ page_top }}
<div id="page_content">
  <header id="top_menu" class="w-100 {{ dexes_background_select }}">
    <div class="container h-100">
      <div class="row h-100 position-relative">
        <div class="col-6 align-items-center d-flex h-100">
          <a href="{{ path('<front>') }}">
            {%  if dataspace_logo %}
              <img src="{{ file_url(dataspace_logo) }}" class="site_logo" alt="Dexes.eu">
            {% else %}
              <img src="/{{ active_theme_path() }}/assets/images/logo/logo-zwart payoff rechts.svg" class="site_logo"
                   alt="Dexes.eu">
            {% endif %}
          </a>
        </div>
        <div class="col-6 pr-0 align-items-center justify-content-end d-flex h-100 position-static">
          <p class="beta-warning">{{ "Warning: this is a beta environment for demonstration purposes" |t }}</p>
          <div id="header_nav" class="d-none d-md-flex align-items-center pr-3">
            <nav class="yamm">
              <ul class="navbar-nav mr-auto flex-row">
                <li class="nav-item ml-3 px-2">
                  <a class="nav-link" href="{{ path('<front>') }}">{{ "Home"|t }}</a>
                </li>
                <li class="nav-item ml-2 px-2">
                  <a  class="nav-link" href="{{ url('dexes_menu.about') }}">{{ "About this dataspace"|t }}</a>
                </li>
                {% include '@dexes/header/header--user.html.twig' %}

                {# <li class="nav-item ml-4">
                  <a class="nav-link" href="#"><i class="fa fa-2x fa-cart-plus d-inline-flex"></i></a>
                </li> #}

                {% include '@dexes/header/header--language.html.twig' with { 'current_language': current_language } %}

                {% if page.header_search_form %}
                  {% include '@dexes/header/header--search.html.twig' %}
                {% endif %}

                {% include '@dexes/header/header--menu.html.twig' %}
              </ul>
            </nav>
          </div>
        </div>
      </div>
    </div>
  </header>
  <footer id="mobile_menu" class="position-fixed fixed-bottom d-block d-md-none">
    <ul id="close_bar" class="navbar-nav mr-auto flex-row justify-content-around d-none">
      <li class="nav-item">
        <a class="nav-link" href="#"><i class="fa fa-2x fa-times-circle d-inline-flex"></i></a>
      </li>
    </ul>
    <nav class="yamm">
      <ul class="navbar-nav mr-auto flex-row justify-content-around">
        <li class="nav-item">
          <a class="nav-link" href="{{ path('dexes_search.search.all.default') }}">
            <i class="fa fa-2x fa-search d-inline-flex"></i>
          </a>
        </li>

        {# <li class="nav-item">
          <a class="nav-link" href="#"><i class="fa fa-2x fa-cart-plus d-inline-flex"></i></a>
        </li> #}

        {% include '@dexes/footer/footer--user.html.twig' %}

        {% include '@dexes/footer/footer--menu.html.twig' %}

      </ul>
    </nav>
  </footer>
  <main>
    {{ page }}
  </main>
  <footer class="w-100 {{ dexes_background_select }}">
    <div class="container">
      <div class="row footer__main pt-3 pb-3 py-md-5">
{#        {{ render_menu('footer-top-menu') }}#}
        <div class="col-12 col-md-4 offset-md-8 offset-lg-0 col-lg-3 mt-md-4 text-right">
          <img src="/{{ active_theme_path() }}/assets/images/logo/logo-zwart-payoff-rechtslijnend.svg" alt="DeXes Logo"
               class="logo float-end align-middle" />
        </div>
      </div>
    </div>
    <div class="container-fluid">
      <div class="container">
        <div class="row footer__sub py-5">
          <div class="col-12 col-md-4 col-lg-3">
            {% include '@dexes/footer/footer--newsletter.html.twig' %}
          </div>

          {% if page.footer_menu %}
            <div class="col-12 col-md-4 col-lg-3 mt-4 mt-md-0">
              {{ page.footer_menu }}
            </div>
          {% endif %}

          <div class="col-12 col-lg-3 mt-4 mt-md-0 text-center text-md-right d-md-none d-lg-block">
            {% include '@dexes/footer/footer--socials.html.twig' %}
          </div>
        </div>
        <div class="row footer__sub pb-5 d-none d-md-block d-lg-none justify-content-center">
          <div class="offset-4 col-md-4 mt-4 mt-md-0 text-center">
            {% include '@dexes/footer/footer--socials.html.twig' %}
          </div>
        </div>
      </div>
    </div>
  </footer>
</div>

<js-bottom-placeholder token="{{ placeholder_token }}">

</body>
</html>
